Summary:       Library providing Trusted Platform Module (TPM) functionality
Name:          libtpms
Version:       0.9.6
Release:       3%{?dist}
License:       BSD
URL:           http://github.com/stefanberger/libtpms
Source0:       %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: autoconf automake coreutils gawk gcc-c++ libtool make
BuildRequires: openssl-devel pkgconfig sed

%description
A library providing TPM functionality for VMs. Targeted for integration into Qemu.

%package        devel
Summary:        Include files for libtpms
Requires:       %{name} = %{version}-%{release}

%description   devel
Libtpms header files and documentation.

%prep
%autosetup -n %{name}-%{version} -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
    --disable-static \
    --with-tpm2 \
    --with-openssl
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.la' -print -delete

%check
%make_build check

%files
%license LICENSE
%doc README CHANGES
%{_libdir}/%{name}.so.0{,.*}

%files devel
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/TPM*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.6-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.6-2
- Rebuilt for loongarch release

* Wed Nov 8 2023 Anakin Zhang <anakinzhang@tencent.com> - 0.9.6-1
- Update to 0.9.6
- Fix CVE-2023-1017 and CVE-2023-1018

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.5-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 1 2022 Shuo Wang <abushwang@tencent.com> - 0.9.5-1
- initial build
